﻿Public Class FrmMain

	Private ReadOnly Random As New Random
	Private ReadOnly DataFileName As String = "Ergebnisse.txt"
	Private PlayerVictoryCount As Integer
	Private ComputerVictoryCount As Integer
	Private DrawCount As Integer

	Private Sub FrmMain_Load(sender As Object, e As EventArgs) Handles MyBase.Load
		If Not IO.File.Exists(DataFileName) Then Return

		Dim FileLines = IO.File.ReadAllLines(DataFileName)
		If FileLines.Count < 3 Then Return

		Integer.TryParse(FileLines(0), PlayerVictoryCount)
		Integer.TryParse(FileLines(1), ComputerVictoryCount)
		Integer.TryParse(FileLines(2), DrawCount)
		LblPlayerVictoryCount.Text = PlayerVictoryCount.ToString
		LblComputerVictoryCount.Text = ComputerVictoryCount.ToString
		LblDrawCount.Text = DrawCount.ToString
	End Sub

	Private Sub BtnThrowDice_Click(sender As Object, e As EventArgs) Handles BtnThrowDice.Click
		Dim PlayerResult = Random.Next(6) + 1
		Dim ComputerResult = Random.Next(6) + 1

		If PlayerResult < ComputerResult Then
			ComputerVictoryCount += 1
			LblResult.Text = "SIEG!"
		ElseIf PlayerResult = ComputerResult Then
			DrawCount += 1
			LblResult.Text = "langweilig"
		Else
			PlayerVictoryCount += 1
			LblResult.Text = "menno …"
		End If
		LblCurrentPlayerResult.Text = PlayerResult.ToString
		LblCurrentComputerResult.Text = ComputerResult.ToString
		LblPlayerVictoryCount.Text = PlayerVictoryCount.ToString
		LblComputerVictoryCount.Text = ComputerVictoryCount.ToString
		LblDrawCount.Text = DrawCount.ToString
	End Sub

	Private Sub BtnSaveAndExit_Click(sender As Object, e As EventArgs) Handles BtnSaveAndExit.Click
		IO.File.WriteAllLines("Ergebnisse.txt", {PlayerVictoryCount.ToString, ComputerVictoryCount.ToString, DrawCount.ToString})
		Close()
	End Sub

End Class