﻿Public Class FrmMain

	Private WithEvents Game As Game = Nothing
	Private ReadOnly GameFileContentManager As New GameFileContentManager("Ergebnisse.txt")

	Private Sub FrmMain_Load(sender As Object, e As EventArgs) Handles MyBase.Load
		ImportData()
		ShowCurrentGameStatistics()
	End Sub

	Private Sub ImportData()
		Dim CurrentGameStatistics = GameFileContentManager.GetGameStatisticsFromFile()
		Game = New Game(CurrentGameStatistics)
	End Sub

	Private Sub ShowCurrentGameStatistics()
		LblPlayerVictoryCount.Text = Game.PlayerVictoryCount.ToString
		LblComputerVictoryCount.Text = Game.ComputerVictoryCount.ToString
		LblDrawCount.Text = Game.DrawCount.ToString
	End Sub

	Private Sub BtnThrowDice_Click(sender As Object, e As EventArgs) Handles BtnThrowDice.Click
		ThrowDice()
	End Sub

	Private Sub ThrowDice()
		Game.ThrowDice()
	End Sub

	Private Sub BtnSaveAndExit_Click(sender As Object, e As EventArgs) Handles BtnSaveAndExit.Click
		SaveStatistic()
		Close()
	End Sub

	Private Sub SaveStatistic()
		GameFileContentManager.WriteGameStatisticsToFile((Game.PlayerVictoryCount, Game.ComputerVictoryCount, Game.DrawCount))
	End Sub

	Private Sub Game_DiceThrow(sender As Object, e As DiceThrowingEventArgs) Handles Game.DiceThrow
		ShowResults(e)
		ShowCurrentGameStatistics()
	End Sub

	Private Sub ShowResults(e As DiceThrowingEventArgs)
		LblCurrentPlayerResult.Text = e.PlayerResult.ToString
		LblCurrentComputerResult.Text = e.ComputerResult.ToString
		Select Case e.Result
			Case ThrowResult.PlayerWon : LblResult.Text = "menno …"
			Case ThrowResult.ComputerWon : LblResult.Text = "SIEG!"
			Case ThrowResult.Draw : LblResult.Text = "langweilig"
		End Select
	End Sub

End Class