﻿Friend Class GameFileContentManager

	Private ReadOnly FileName As String = Nothing

	Public Sub New(FileName As String)
		Me.FileName = FileName
	End Sub

	Public Function GetGameStatisticsFromFile() As (PlayerVictoryCount As Integer, ComputerVictoryCount As Integer, DrawCount As Integer)
		If Not IO.File.Exists(FileName) Then Return (0, 0, 0)

		Dim FileLines = IO.File.ReadAllLines(FileName)
		If FileLines.Count < 3 Then Return (0, 0, 0)

		Dim PlayerVictoryCount = 0
		Dim ComputerVictoryCount = 0
		Dim DrawCount = 0
		Integer.TryParse(FileLines(0), PlayerVictoryCount)
		Integer.TryParse(FileLines(1), ComputerVictoryCount)
		Integer.TryParse(FileLines(2), DrawCount)
		Return (PlayerVictoryCount, ComputerVictoryCount, DrawCount)
	End Function

	Public Sub WriteGameStatisticsToFile(GameStatistics As (PlayerVictoryCount As Integer, ComputerVictoryCount As Integer, DrawCount As Integer))
		IO.File.WriteAllLines(FileName, {GameStatistics.PlayerVictoryCount.ToString, GameStatistics.ComputerVictoryCount.ToString, GameStatistics.DrawCount.ToString})
	End Sub

End Class