﻿Public Class FrmMain

	Private ReadOnly Random As New Random
	Private ReadOnly Spieldaten As New Spieldaten
	Private ReadOnly DataFileName As String = "Ergebnisse.txt"

	Private Sub FrmMain_Load(sender As Object, e As EventArgs) Handles MyBase.Load
		If Not IO.File.Exists(DataFileName) Then Return

		Dim FileLines = IO.File.ReadAllLines(DataFileName)
		If FileLines.Count < 3 Then Return

		Integer.TryParse(FileLines(0), Spieldaten.Spielersiege)
		Integer.TryParse(FileLines(1), Spieldaten.Computersiege)
		Integer.TryParse(FileLines(2), Spieldaten.Unentschieden)
		LblPlayerVictoryCount.Text = Spieldaten.Spielersiege.ToString
		LblComputerVictoryCount.Text = Spieldaten.Computersiege.ToString
		LblDrawCount.Text = Spieldaten.Unentschieden.ToString
	End Sub

	Private Sub BtnThrowDice_Click(sender As Object, e As EventArgs) Handles BtnThrowDice.Click
		Dim PlayerResult = Random.Next(6) + 1
		Dim ComputerResult = Random.Next(6) + 1

		If PlayerResult < ComputerResult Then
			Spieldaten.Computersiege += 1
			LblResult.Text = "SIEG!"
		ElseIf PlayerResult = ComputerResult Then
			Spieldaten.Unentschieden += 1
			LblResult.Text = "langweilig"
		Else
			Spieldaten.Spielersiege += 1
			LblResult.Text = "menno …"
		End If
		LblCurrentPlayerResult.Text = PlayerResult.ToString
		LblCurrentComputerResult.Text = ComputerResult.ToString
		LblPlayerVictoryCount.Text = Spieldaten.Spielersiege.ToString
		LblComputerVictoryCount.Text = Spieldaten.Computersiege.ToString
		LblDrawCount.Text = Spieldaten.Unentschieden.ToString
	End Sub

	Private Sub BtnSaveAndExit_Click(sender As Object, e As EventArgs) Handles BtnSaveAndExit.Click
		IO.File.WriteAllLines("Ergebnisse.txt", {Spieldaten.Spielersiege.ToString, Spieldaten.Computersiege.ToString, Spieldaten.Unentschieden.ToString})
		Close()
	End Sub
End Class

Friend Class Spieldaten
	Property Spielersiege As Integer
	Property Computersiege As Integer
	Property Unentschieden As Integer
End Class